ランタイム: Mix::Scene::IActorNode Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::IActorNode Class Referenceabstract

アクターノードインターフェース More...

`#include <IActorNode.h>`

Inheritance diagram for Mix::Scene::IActorNode:
[legend]
Collaboration diagram for Mix::Scene::IActorNode:
[legend]

## Public Member Functions

virtual Boolean | GetOwner (Mix::Scene::IActorModel **ppOwner)=0
| オーナーを取得します More...
virtual Mix::Scene::IActorModel * | GetOwnerPtr (void) const =0
| オーナーのポインタを取得します More...
virtual Int32 | GetParentIndex (void) const =0
| 親のインデックスを取得します。 More...
virtual const wchar_t * | GetName (void) const =0
| 名前を取得します More...
virtual void | ResetLocalMatrix (void)=0
| ローカル行列を初期値にリセットします More...
virtual Boolean | IsDraw (void) const =0
| 描画が有効かどうかを取得します More...
virtual void | SetDraw (Boolean state, UInt32 depth=0xFFFFFFFF)=0
| 描画を有効にするかどうかを設定します More...
virtual Boolean | ExistsCollider (void) const =0
| コライダーが利用可能かどうかを取得します More...
virtual Boolean | GetCollider (Mix::Scene::IActorCollider **ppCollider)=0
| コライダーを取得します More...
virtual UInt32 | GetSensorCount (void) const =0
| センサーの数を取得します More...
virtual Boolean | GetSensor (UInt32 index, Mix::Scene::IActorSensor **ppSensor)=0
| センサーを取得します More...
virtual Boolean | GetConstraint (const wchar_t *pName, Mix::Scene::IActorConstraint **ppConstraint)=0
| コンストレイントを取得します More...
virtual Boolean | AddConstraint (const wchar_t *pName, Mix::Scene::IActorConstraint **ppConstraint)=0
| コンストレイントを追加します More...
virtual void | RemoveConstraint (Mix::Scene::IActorConstraint *pConstraint)=0
| コンストレイントを削除します More...
virtual Int32 | GetUserIndex (void) const =0
| ユーザーインデックスを取得します More...
virtual void | SetUserIndex (Int32 index)=0
| ユーザーインデックスを設定します More...
virtual void * | GetUserPtr (void) const =0
| ユーザーポインタを取得します More...
virtual void | SetUserPtr (void *pData)=0
| ユーザーポインタを設定します More...
Public Member Functions inherited from Mix::Scene::INode
virtual void | SetLocalMatrix (const Mix::Matrix4x4 &mat)=0
| ローカル行列を設定します More...
virtual const Mix::Matrix4x4 & | GetLocalMatrix (void) const =0
| ローカル行列を取得します More...
virtual const Mix::Matrix4x4 & | GetWorldMatrix (void) const =0
| ワールド行列を取得します More...
Public Member Functions inherited from Mix::Scene::IRendererObject
virtual Mix::Scene::IRendererObject::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | IsRendering (void) const =0
| レンダリングされているかどうかを確認します。 More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IActorNode (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::INode
virtual | ~INode (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IRendererObject
virtual | ~IRendererObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Additional Inherited Members

Public Types inherited from Mix::Scene::IRendererObject

enum

TYPE {
UNDEFINED = 0, UNIVERSAL_CAMERA = 1, VIEW_CAMERA = 2, HEMISPHERE_LIGHT = 3,
DIRECTIONAL_LIGHT = 4, SPOT_LIGHT = 5, POINT_LIGHT = 6, SKY_DOME = 7,
ATMOSPHERE_SCATTER = 8, LIGHT_SHAFTS_CASTER = 9, ACTOR_NODE = 10, ACTOR_MODEL = 11,
TERRAIN_MODEL = 12, LEAVING_PARTICLE = 13, SCATTER_PARTICLE = 14, PLANTER = 15,
WATER_POOL = 16, DYNAMICS_WORLD = 17, FLOOR = 18, GHOST = 19
}

| タイプ列挙定数 More...

## Detailed Description

アクターノードインターフェース

## Constructor & Destructor Documentation

virtual Mix::Scene::IActorNode::~IActorNode | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Boolean Mix::Scene::IActorNode::GetOwner | ( | Mix::Scene::IActorModel ** | ppOwner | ) |

pure virtual

オーナーを取得します

Parameters

  [out] | ppOwner | オーナーを表す Mix::Scene::IActorModel インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  取得したオーナーは参照カウンタを +1 します

virtual Mix::Scene::IActorModel* Mix::Scene::IActorNode::GetOwnerPtr | ( | void |  | ) | const

pure virtual

オーナーのポインタを取得します

Returns
  オーナーを表す Mix::Scene::IActorModel インターフェースのポインタを返します

virtual Int32 Mix::Scene::IActorNode::GetParentIndex | ( | void |  | ) | const

pure virtual

親のインデックスを取得します。

Returns
  親が存在する場合は 0 以上のインデックス、それ以外の場合は -1 を返します。

virtual const wchar_t* Mix::Scene::IActorNode::GetName | ( | void |  | ) | const

pure virtual

名前を取得します

Returns
  名前を返します

virtual void Mix::Scene::IActorNode::ResetLocalMatrix | ( | void |  | ) |

pure virtual

ローカル行列を初期値にリセットします

virtual Boolean Mix::Scene::IActorNode::IsDraw | ( | void |  | ) | const

pure virtual

描画が有効かどうかを取得します

Returns
  描画が有効になっている場合は True を返します

virtual void Mix::Scene::IActorNode::SetDraw | ( | Boolean | state,
|  | UInt32 | depth = `0xFFFFFFFF`
| ) |  |

pure virtual

描画を有効にするかどうかを設定します

Parameters

  [in] | state | 描画を有効にする場合は True
  [in] | depth | 適用するノードの深さ( 0で自身のみ設定 )

virtual Boolean Mix::Scene::IActorNode::ExistsCollider | ( | void |  | ) | const

pure virtual

コライダーが利用可能かどうかを取得します

Returns
  利用可能な場合は True を返します

virtual Boolean Mix::Scene::IActorNode::GetCollider | ( | Mix::Scene::IActorCollider ** | ppCollider | ) |

pure virtual

コライダーを取得します

Parameters

  [out] | ppCollider | 取得したコライダーを渡す Mix::Scene::IActorCollider インターフェースのポインタのアドレス

Returns
  取得に成功した場合は True を返します

virtual UInt32 Mix::Scene::IActorNode::GetSensorCount | ( | void |  | ) | const

pure virtual

センサーの数を取得します

Returns
  センサーの数を返します

virtual Boolean Mix::Scene::IActorNode::GetSensor | ( | UInt32 | index,
|  | Mix::Scene::IActorSensor ** | ppSensor
| ) |  |

pure virtual

センサーを取得します

Parameters

  [in] | index | 取得するセンサーのインデックス
  [out] | ppSensor | 取得したセンサーを渡す Mix::Scene::IActorSensor インターフェースのポインタのアドレス

Returns
  取得に成功した場合は True を返します

virtual Boolean Mix::Scene::IActorNode::GetConstraint | ( | const wchar_t * | pName,
|  | Mix::Scene::IActorConstraint ** | ppConstraint
| ) |  |

pure virtual

コンストレイントを取得します

Parameters

  [in] | pName | コンストレイントの名前
  [out] | ppConstraint | 取得したコンストレイントを渡す Mix::Scene::IActorConstraint インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  取得に成功した場合は コンストレイントの参照カウンタを +1 します

virtual Boolean Mix::Scene::IActorNode::AddConstraint | ( | const wchar_t * | pName,
|  | Mix::Scene::IActorConstraint ** | ppConstraint
| ) |  |

pure virtual

コンストレイントを追加します

Parameters

  [in] | pName | コンストレイントの名前
  [out] | ppConstraint | 追加したコンストレイントを渡す Mix::Scene::IActorConstraint インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

virtual void Mix::Scene::IActorNode::RemoveConstraint | ( | Mix::Scene::IActorConstraint * | pConstraint | ) |

pure virtual

コンストレイントを削除します

Parameters

  [in] | pConstraint | 削除するコンストレイントを表す Mix::Scene::IActorConstraint インターフェースのポインタ

Note
  削除に成功した場合は コンストレイントの参照カウンタを -1 します

virtual Int32 Mix::Scene::IActorNode::GetUserIndex | ( | void |  | ) | const

pure virtual

ユーザーインデックスを取得します

Returns
  インデックスを返します

virtual void Mix::Scene::IActorNode::SetUserIndex | ( | Int32 | index | ) |

pure virtual

ユーザーインデックスを設定します

Parameters

  index | インデックス

Note
  この値はユーザーが自由に使用できます

virtual void* Mix::Scene::IActorNode::GetUserPtr | ( | void |  | ) | const

pure virtual

ユーザーポインタを取得します

Returns
  ポインタを返します

virtual void Mix::Scene::IActorNode::SetUserPtr | ( | void * | pData | ) |

pure virtual

ユーザーポインタを設定します

Parameters

  pData | ポインタ

Note
  この値はユーザーが自由に使用できます

The documentation for this class was generated from the following file:

- Mix/Scene/IActorNode.h